<%@ page isErrorPage="true" %>
<%@ page import="fr.paris.lutece.portal.web.constants.Messages" %>
<%@ page import="fr.paris.lutece.portal.service.util.*" %>
<%@ page import="fr.paris.lutece.portal.service.message.AdminMessageService" %>
<%@ page import="fr.paris.lutece.portal.service.message.AdminMessage" %>


<%!
	private final static String PROPERTY_DEBUG = "error.page.debug";
	private final static String PROPERTY_DEBUG_DEFAULT = "true";
	private final static String PROPERTY_MESSAGE = "error.page.message";
	private final static String PROPERTY_MESSAGE_DEFAULT = "Veuillez contacter l'administrateur de l'application";
%>

<%
    if( exception instanceof fr.paris.lutece.portal.service.admin.AccessDeniedException )
    {
        response.sendRedirect( AdminMessageService.getMessageUrl( request , Messages.USER_ACCESS_DENIED , AdminMessage.TYPE_STOP ) );
    }

%>

<%@page import="fr.paris.lutece.portal.service.i18n.I18nService"%>
<html>
	<head>
		<base href="<%= AppPathService.getBaseUrl( request ) %>/" />
<%
	if( AppPropertiesService.getProperty( PROPERTY_DEBUG , PROPERTY_DEBUG_DEFAULT ).equalsIgnoreCase( "true" ))
	{
%>
		<title>LUTECE - Administration</title>
		<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		
		<link rel="stylesheet" type="text/css" href="css/portal_admin.css" title="lutece_admin" />
		
		<!--[if IE 6]>
			<link rel="stylesheet" type="text/css" href="css/ie/portal_admin_ie6.css" title="lutece_admin_ie6" />
		<![endif]-->
		
		<!--[if IE 7]>
			<link rel="stylesheet" type="text/css" href="css/ie/portal_admin_ie7.css" title="lutece_admin_ie7" />
		<![endif]-->
<%
	}
	else
	{
%>	
		<link rel="stylesheet"  href="css/page_template_structure.css" type="text/css"  media="screen" />
		<link rel="stylesheet"  href="css/page_template_styles.css" type="text/css"  media="screen" />
<%
	}
%>
	</head>
	
<%
	if( AppPropertiesService.getProperty( PROPERTY_DEBUG , PROPERTY_DEBUG_DEFAULT ).equalsIgnoreCase( "true" ))
	{
		String strErrorMessage = (exception.getMessage() != null ) ? exception.getMessage() : exception.toString();
%>
	<body>
		<div id="message-box">
			<div class="content-box">
	    		<img src="images/admin/skin/messages/warning.png" class="icon" alt="" />
	    		<h2><%= I18nService.getLocalizedString( "ods.all.label.error", request.getLocale() ) %></h2>
	    		<p>
	        		<%= strErrorMessage %>
	    		</p>
			</div>
		</div>
<%
	}
	else
	{
%>
	<body topmargin="0" leftmargin="0">
		<center>
			<table width="600">
				<tr>
					<td>
						<div class="portlet">
						<h3 class="portlet-header">Une erreur s'est produite dans l'application ODS</h3>
							<div class="portlet-content">
								<table border="0" width="500" cellpadding="5" cellspacing="5" >
									<tr>
         								<td align="center" width="100%">
											<img src="images/admin/skin/warning.png" />
        								</td>
									</tr>
									<tr>
		 								<td>
		   									<%= AppPropertiesService.getProperty( PROPERTY_MESSAGE , PROPERTY_MESSAGE_DEFAULT ) %>
         								</td>
        							</tr>
        						</table>
							</div>
						</div>
					</td>
				</tr>
			</table>
		</center>
<%
	}
%>
	</body>
</html>
    

